#include "clineeditplugin.h"

#include "clineedit.h"

#include <QtCore/QtPlugin>


CLineEditPlugin::CLineEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void CLineEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool CLineEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * CLineEditPlugin::createWidget(QWidget * parent) {
	return new CLineEdit(parent);
}


QString CLineEditPlugin::name() const {
	return QLatin1String("CLineEdit");
}


QString CLineEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon CLineEditPlugin::icon() const {
	return QIcon(":/icons/widgets/clineedit.png");
}


QString CLineEditPlugin::toolTip() const {
	return QLatin1String("Clearable Line Edit");
}


QString CLineEditPlugin::whatsThis() const {
	return QLatin1String("Clearable Line Edit");
}


bool CLineEditPlugin::isContainer() const {
	return false;
}


QString CLineEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"CLineEdit\" name=\"lineEdit\">\n</widget>\n");
}


QString CLineEditPlugin::includeFile() const {
	return QLatin1String("clineedit.h");
}
